Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.script
Class PhpScriptWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              php.java.script.PhpScriptWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class PhpScriptWriter

extends java.io.PrintWriter

A PrintWriter backed by an OutputStream.

Author:
  jostb

Constructor Summary
`PhpScriptWriter(java.io.OutputStream out)` Create a new PhpScriptWriter.

Method Summary
`java.io.OutputStream` | `getOutputStream()` Returns the OutputStream.

Methods inherited from class java.io.PrintWriter
`append, append, append, checkError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, write, write, write, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpScriptWriter

    public PhpScriptWriter(java.io.OutputStream out)

  Create a new PhpScriptWriter.

  Parameters:
    `out` - The OutputStream

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns the OutputStream.

  Returns:
    The OutputStream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD